Fake sync libass 0.9.9-1 (universe) from Debian unstable (main)

Bug #596757 reported by Bhavani Shankar on 2010-06-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libass (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/libass
 status new
 importance wishlist
 subscribe ubuntu-sponsors

Please sync libass 0.9.9-1 (universe) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:

We can sync the package again as debian has released a new upstream
version

Changelog since current maverick version 0.9.9-0ubuntu1:

libass (0.9.9-1) unstable; urgency=low

  * New upstream release
  * Bump standard version (no change needed)
  * Add misc:Depends to libass-dev's depedencies to silence lintian
  * Typo at ${misc:Depends}
  * Inherit libass4's section from the source package
  * Remove unused patch
  * Use Copyright as well as (C) in debian/copyright

 -- Christophe Mutricy <email address hidden> Wed, 17 Mar 2010 21:18:56 +0000

libass (0.9.8-1) unstable; urgency=low

  * New upstream release 0.9.8

 -- Christophe Mutricy <email address hidden> Mon, 19 Oct 2009 12:17:39 +0200

libass (0.9.7-3) unstable; urgency=low

  * Have libass-dev depends on libenca-dev, libfreetype6-dev and
    libfontconfig1-dev

 -- Christophe Mutricy <email address hidden> Sun, 20 Sep 2009 14:54:31 +0100

libass (0.9.7-2) unstable; urgency=low

  * Upload to unstable

 -- Christophe Mutricy <email address hidden> Wed, 02 Sep 2009 18:19:35 +0200

libass (0.9.7-1) experimental; urgency=low

  * New upstream version 0.9.7
    + Closes: #538648
    + API break. Target experimental for now
    + SONAME bump
    + Update symbols file
    + Build system has been fixed no need of extra "-lm"
    + Reflect new home of the project (debian/{control,watch}
  * Set policy to 3.8.3
  * Add -Wl,--as-needed to debian/rules and the necessary patch for
    ltmain.sh
  * No info page (and unlikely to be one)
  * No need for maintainer mode
  * No need of libpng-dev it's only for the test app

 -- Christophe Mutricy <email address hidden> Sat, 22 Aug 2009 12:38:46 +0100

libass (0.9.6-1) unstable; urgency=low

  * New Upstream Version 0.9.6
    (Closes: #514311, #519578, #519607)
    + SONAME bump
    + Patch has been merged upstream
  * Don't use dh_clean -k
  * Use --enable-maintainer-mode
  * Policy version 3.8.1
  * Remove autotools-dev from build-dep
  * Point to the good version of the GPL
  * Add a symbols file
  * Add a configuration file for git-buildpackage
  * Vcs-*: Reflect the move to git

 -- Christophe Mutricy <email address hidden> Thu, 26 Mar 2009 20:59:14 +0100

libass (0.9.5-2) unstable; urgency=low

  * Don't install .la files

 -- Christophe Mutricy <email address hidden> Thu, 06 Nov 2008 21:55:46 +0100

libass (0.9.5-1) unstable; urgency=low

  * Initial release (Closes: #496560)

 -- Christophe Mutricy <email address hidden> Mon, 25 Aug 2008 17:17:14 +0100

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwfB/wACgkQUlfC4uPMy3Tl6gCg8TkCurm3DNTwZibkolVf0pPW
71UAoPJSJ/Jxa012qVBJ81aDN0/fO7JQ
=KeIk
-----END PGP SIGNATURE-----

Related branches

Daniel Holbach (dholbach) wrote :

What about debian/patches/001-mplayer-updates.diff?

Changed in libass (Ubuntu):
status: New → Incomplete
Bhavani Shankar (bhavi) wrote :

hi daniel

I think the debian maintainer dropped it and I ll mail him on a query of why the patch was dropped

Regards

Changed in libass (Ubuntu):
status: Incomplete → In Progress
assignee: nobody → Bhavani Shankar (bhavi)
Bhavani Shankar (bhavi) wrote :

hello daniel

Here is the reply

It has been interated by upstream

--
Xtophe
----- Message d'origine -----
- Hide quoted text -
> Hello sir
>
> I downloaded the latest version of libass package from debian sid and
> 001-mplayer-updates patch was found deleted and upon seeing the changelog it
> was stated as unused patch. Can you please give me more info about this
> change sir
>
> Waiting for a reply
>
> Regards
>
> --
> Bhavani Shankar.R
> https://launchpad.net/~bhavi, a proud ubuntu community member.
> What matters in life is application of mind!,
> It makes great sense to have some common sense..!

Changed in libass (Ubuntu):
status: In Progress → New
assignee: Bhavani Shankar (bhavi) → nobody

ACKed.

Changed in libass (Ubuntu):
status: New → Triaged

We can't sync this using the normal method, because the .orig.tar.gz files differ (we have md5sum 329884ee934a9741fc5946f57b3c0482, Debian has 84a7f533153fc7d77aeff0972bc61b02). Please fakesync this.

(Unsubscribing ubuntu-archive; feel free to resubscribe us if there's something for us to do.)

Artur Rona (ari-tczew) on 2010-06-27
summary: - Please sync libass 0.9.9-1 (universe) from Debian unstable (main).
+ Fake sync libass 0.9.9-1 (universe) from Debian unstable (main)
Changed in libass (Ubuntu):
assignee: nobody → Benjamin Drung (bdrung)
Benjamin Drung (bdrung) on 2010-06-27
Changed in libass (Ubuntu):
assignee: Benjamin Drung (bdrung) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libass - 0.9.9-1fakesync1

---------------
libass (0.9.9-1fakesync1) maverick; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #596757).

libass (0.9.9-1) unstable; urgency=low

  * New upstream release
  * Bump standard version (no change needed)
  * Add misc:Depends to libass-dev's depedencies to silence lintian
  * Typo at ${misc:Depends}
  * Inherit libass4's section from the source package
  * Remove unused patch
  * Use Copyright as well as (C) in debian/copyright
 -- Bhavani Shankar <email address hidden> Sun, 27 Jun 2010 18:37:47 +0200

Changed in libass (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers